Package org.bukkit.block

# Enum Class Biome

java.lang.Object
java.lang.Enum<Biome>
org.bukkit.block.Biome

All Implemented Interfaces:
  `Serializable`, `Comparable<Biome>`, `Constable`, `Keyed`

public enum Biome extends Enum<Biome> implements Keyed
Holds all accepted Biomes in the default server

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BADLANDS`
`BADLANDS_PLATEAU`
`BAMBOO_JUNGLE`
`BAMBOO_JUNGLE_HILLS`
`BASALT_DELTAS`
`BEACH`
`BIRCH_FOREST`
`BIRCH_FOREST_HILLS`
`COLD_OCEAN`
`CRIMSON_FOREST`
`CUSTOM`
Represents a custom Biome
`DARK_FOREST`
`DARK_FOREST_HILLS`
`DEEP_COLD_OCEAN`
`DEEP_FROZEN_OCEAN`
`DEEP_LUKEWARM_OCEAN`
`DEEP_OCEAN`
`DEEP_WARM_OCEAN`
`DESERT`
`DESERT_HILLS`
`DESERT_LAKES`
`DRIPSTONE_CAVES`
`END_BARRENS`
`END_HIGHLANDS`
`END_MIDLANDS`
`ERODED_BADLANDS`
`FLOWER_FOREST`
`FOREST`
`FROZEN_OCEAN`
`FROZEN_RIVER`
`GIANT_SPRUCE_TAIGA`
`GIANT_SPRUCE_TAIGA_HILLS`
`GIANT_TREE_TAIGA`
`GIANT_TREE_TAIGA_HILLS`
`GRAVELLY_MOUNTAINS`
`ICE_SPIKES`
`JUNGLE`
`JUNGLE_EDGE`
`JUNGLE_HILLS`
`LUKEWARM_OCEAN`
`LUSH_CAVES`
`MODIFIED_BADLANDS_PLATEAU`
`MODIFIED_GRAVELLY_MOUNTAINS`
`MODIFIED_JUNGLE`
`MODIFIED_JUNGLE_EDGE`
`MODIFIED_WOODED_BADLANDS_PLATEAU`
`MOUNTAIN_EDGE`
`MOUNTAINS`
`MUSHROOM_FIELD_SHORE`
`MUSHROOM_FIELDS`
`NETHER_WASTES`
`OCEAN`
`PLAINS`
`RIVER`
`SAVANNA`
`SAVANNA_PLATEAU`
`SHATTERED_SAVANNA`
`SHATTERED_SAVANNA_PLATEAU`
`SMALL_END_ISLANDS`
`SNOWY_BEACH`
`SNOWY_MOUNTAINS`
`SNOWY_TAIGA`
`SNOWY_TAIGA_HILLS`
`SNOWY_TAIGA_MOUNTAINS`
`SNOWY_TUNDRA`
`SOUL_SAND_VALLEY`
`STONE_SHORE`
`SUNFLOWER_PLAINS`
`SWAMP`
`SWAMP_HILLS`
`TAIGA`
`TAIGA_HILLS`
`TAIGA_MOUNTAINS`
`TALL_BIRCH_FOREST`
`TALL_BIRCH_HILLS`
`THE_END`
`THE_VOID`
`WARM_OCEAN`
`WARPED_FOREST`
`WOODED_BADLANDS_PLATEAU`
`WOODED_HILLS`
`WOODED_MOUNTAINS`

## Method Summary

Modifier and Type
Method
Description
`@NotNull NamespacedKey`
`getKey()`
Return the namespaced identifier for this object.
`static Biome`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Biome[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OCEAN

public static final Biome OCEAN

### PLAINS

public static final Biome PLAINS

### DESERT

public static final Biome DESERT

### MOUNTAINS

public static final Biome MOUNTAINS

### FOREST

public static final Biome FOREST

### TAIGA

public static final Biome TAIGA

### SWAMP

public static final Biome SWAMP

### RIVER

public static final Biome RIVER

### NETHER_WASTES

public static final Biome NETHER_WASTES

### THE_END

public static final Biome THE_END

### FROZEN_OCEAN

public static final Biome FROZEN_OCEAN

### FROZEN_RIVER

public static final Biome FROZEN_RIVER

### SNOWY_TUNDRA

public static final Biome SNOWY_TUNDRA

### SNOWY_MOUNTAINS

public static final Biome SNOWY_MOUNTAINS

### MUSHROOM_FIELDS

public static final Biome MUSHROOM_FIELDS

### MUSHROOM_FIELD_SHORE

public static final Biome MUSHROOM_FIELD_SHORE

### BEACH

public static final Biome BEACH

### DESERT_HILLS

public static final Biome DESERT_HILLS

### WOODED_HILLS

public static final Biome WOODED_HILLS

### TAIGA_HILLS

public static final Biome TAIGA_HILLS

### MOUNTAIN_EDGE

public static final Biome MOUNTAIN_EDGE

### JUNGLE

public static final Biome JUNGLE

### JUNGLE_HILLS

public static final Biome JUNGLE_HILLS

### JUNGLE_EDGE

public static final Biome JUNGLE_EDGE

### DEEP_OCEAN

public static final Biome DEEP_OCEAN

### STONE_SHORE

public static final Biome STONE_SHORE

### SNOWY_BEACH

public static final Biome SNOWY_BEACH

### BIRCH_FOREST

public static final Biome BIRCH_FOREST

### BIRCH_FOREST_HILLS

public static final Biome BIRCH_FOREST_HILLS

### DARK_FOREST

public static final Biome DARK_FOREST

### SNOWY_TAIGA

public static final Biome SNOWY_TAIGA

### SNOWY_TAIGA_HILLS

public static final Biome SNOWY_TAIGA_HILLS

### GIANT_TREE_TAIGA

public static final Biome GIANT_TREE_TAIGA

### GIANT_TREE_TAIGA_HILLS

public static final Biome GIANT_TREE_TAIGA_HILLS

### WOODED_MOUNTAINS

public static final Biome WOODED_MOUNTAINS

### SAVANNA

public static final Biome SAVANNA

### SAVANNA_PLATEAU

public static final Biome SAVANNA_PLATEAU

### BADLANDS

public static final Biome BADLANDS

### WOODED_BADLANDS_PLATEAU

public static final Biome WOODED_BADLANDS_PLATEAU

### BADLANDS_PLATEAU

public static final Biome BADLANDS_PLATEAU

### SMALL_END_ISLANDS

public static final Biome SMALL_END_ISLANDS

### END_MIDLANDS

public static final Biome END_MIDLANDS

### END_HIGHLANDS

public static final Biome END_HIGHLANDS

### END_BARRENS

public static final Biome END_BARRENS

### WARM_OCEAN

public static final Biome WARM_OCEAN

### LUKEWARM_OCEAN

public static final Biome LUKEWARM_OCEAN

### COLD_OCEAN

public static final Biome COLD_OCEAN

### DEEP_WARM_OCEAN

public static final Biome DEEP_WARM_OCEAN

### DEEP_LUKEWARM_OCEAN

public static final Biome DEEP_LUKEWARM_OCEAN

### DEEP_COLD_OCEAN

public static final Biome DEEP_COLD_OCEAN

### DEEP_FROZEN_OCEAN

public static final Biome DEEP_FROZEN_OCEAN

### THE_VOID

public static final Biome THE_VOID

### SUNFLOWER_PLAINS

public static final Biome SUNFLOWER_PLAINS

### DESERT_LAKES

public static final Biome DESERT_LAKES

### GRAVELLY_MOUNTAINS

public static final Biome GRAVELLY_MOUNTAINS

### FLOWER_FOREST

public static final Biome FLOWER_FOREST

### TAIGA_MOUNTAINS

public static final Biome TAIGA_MOUNTAINS

### SWAMP_HILLS

public static final Biome SWAMP_HILLS

### ICE_SPIKES

public static final Biome ICE_SPIKES

### MODIFIED_JUNGLE

public static final Biome MODIFIED_JUNGLE

### MODIFIED_JUNGLE_EDGE

public static final Biome MODIFIED_JUNGLE_EDGE

### TALL_BIRCH_FOREST

public static final Biome TALL_BIRCH_FOREST

### TALL_BIRCH_HILLS

public static final Biome TALL_BIRCH_HILLS

### DARK_FOREST_HILLS

public static final Biome DARK_FOREST_HILLS

### SNOWY_TAIGA_MOUNTAINS

public static final Biome SNOWY_TAIGA_MOUNTAINS

### GIANT_SPRUCE_TAIGA

public static final Biome GIANT_SPRUCE_TAIGA

### GIANT_SPRUCE_TAIGA_HILLS

public static final Biome GIANT_SPRUCE_TAIGA_HILLS

### MODIFIED_GRAVELLY_MOUNTAINS

public static final Biome MODIFIED_GRAVELLY_MOUNTAINS

### SHATTERED_SAVANNA

public static final Biome SHATTERED_SAVANNA

### SHATTERED_SAVANNA_PLATEAU

public static final Biome SHATTERED_SAVANNA_PLATEAU

### ERODED_BADLANDS

public static final Biome ERODED_BADLANDS

### MODIFIED_WOODED_BADLANDS_PLATEAU

public static final Biome MODIFIED_WOODED_BADLANDS_PLATEAU

### MODIFIED_BADLANDS_PLATEAU

public static final Biome MODIFIED_BADLANDS_PLATEAU

### BAMBOO_JUNGLE

public static final Biome BAMBOO_JUNGLE

### BAMBOO_JUNGLE_HILLS

public static final Biome BAMBOO_JUNGLE_HILLS

### SOUL_SAND_VALLEY

public static final Biome SOUL_SAND_VALLEY

### CRIMSON_FOREST

public static final Biome CRIMSON_FOREST

### WARPED_FOREST

public static final Biome WARPED_FOREST

### BASALT_DELTAS

public static final Biome BASALT_DELTAS

### DRIPSTONE_CAVES

public static final Biome DRIPSTONE_CAVES

### LUSH_CAVES

public static final Biome LUSH_CAVES

### CUSTOM

public static final Biome CUSTOM
Represents a custom Biome

## Method Details

### values

public static Biome[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Biome valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getKey

@NotNull public @NotNull NamespacedKey getKey()
Description copied from interface: `Keyed`
Return the namespaced identifier for this object.

Specified by:
  `getKey` in interface `Keyed`
Returns:
  this object's key